1.32.0-wmf.4 deployment blockers
Closed, ResolvedPublicRelease

Details

2018 week 20 1.32-wmf.4 Changes wmf/1.32-wmf.4

This MediaWiki Train Deployment is scheduled for the week of Monday, May 14th:

Monday May 14thTuesday, May 15thWednesday, May 16thThursday, May 17thFriday
SWAT deployments onlyBranch wmf.4, Deploy to Group 0 WikisDeploy wmf.4 to Group 1 WikisDeploy wmf.4 to all WikisNo deployments on fridays

How this works

  • Any serious bugs affecting wmf.4 should be added as subtasks beneath this one.
  • Any open subtasks block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.

Related Links

Other Deployments

Previous: 1.32.0-wmf.3
Next: 1.32.0-wmf.5
greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Normal priority.Mar 29 2018, 6:16 PM
mmodell claimed this task.May 7 2018, 4:16 PM

Mentioned in SAL (#wikimedia-operations) [2018-05-15T17:27:45Z] <twentyafterfour> branching 1.32.0-wmf.4 refs T191050

Mentioned in SAL (#wikimedia-operations) [2018-05-15T20:27:45Z] <twentyafterfour@tin> Started scap: testwikis to 1.32.0-wmf.4 refs T191050

Mentioned in SAL (#wikimedia-operations) [2018-05-15T21:34:04Z] <twentyafterfour@tin> Finished scap: testwikis to 1.32.0-wmf.4 refs T191050 (duration: 66m 19s)

Mentioned in SAL (#wikimedia-operations) [2018-05-15T22:21:53Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group0 to 1.32.0-wmf.4 refs T191050

Mentioned in SAL (#wikimedia-operations) [2018-05-16T19:28:13Z] <twentyafterfour@tin> Synchronized php-1.32.0-wmf.4/extensions/CongressLookup: sync CongressLookup extension on wmf.4 refs T191050 (duration: 01m 22s)

Change 433681 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.4 refs T191050

https://gerrit.wikimedia.org/r/433681

Change 433681 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.4 refs T191050

https://gerrit.wikimedia.org/r/433681

Mentioned in SAL (#wikimedia-operations) [2018-05-17T23:26:51Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group1 wikis to 1.32.0-wmf.4 refs T191050

Mentioned in SAL (#wikimedia-operations) [2018-05-17T23:28:09Z] <twentyafterfour@tin> Synchronized php: group1 wikis to 1.32.0-wmf.4 refs T191050 (duration: 01m 17s)

Change 433682 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.3 refs T191050

https://gerrit.wikimedia.org/r/433682

Change 433682 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.3 refs T191050

https://gerrit.wikimedia.org/r/433682

Mentioned in SAL (#wikimedia-operations) [2018-05-17T23:32:48Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group1 wikis to 1.32.0-wmf.3 refs T191050

Mentioned in SAL (#wikimedia-operations) [2018-05-17T23:34:08Z] <twentyafterfour@tin> Synchronized php: group1 wikis to 1.32.0-wmf.3 refs T191050 (duration: 01m 20s)

Mentioned in SAL (#wikimedia-operations) [2018-05-17T23:35:52Z] <twentyafterfour> MediaWiki Train for 1.32.0-wmf.4 remains blocked by critical bugs, see T191050 for a list of blockers.

Mentioned in SAL (#wikimedia-releng) [2018-05-18T01:26:49Z] <twentyafterfour> syncing wmf.4 again to deploy https://gerrit.wikimedia.org/r/#/c/433673/ refs T194900 T191050

Mentioned in SAL (#wikimedia-operations) [2018-05-18T01:27:00Z] <twentyafterfour> syncing wmf.4 again to deploy https://gerrit.wikimedia.org/r/#/c/433673/ refs T194900 T191050

Change 434418 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.4 refs T191050

https://gerrit.wikimedia.org/r/434418

Change 434418 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.4 refs T191050

https://gerrit.wikimedia.org/r/434418

Mentioned in SAL (#wikimedia-operations) [2018-05-21T20:31:20Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group1 wikis to 1.32.0-wmf.4 refs T191050

Mentioned in SAL (#wikimedia-operations) [2018-05-21T20:32:39Z] <twentyafterfour@tin> Synchronized php: group1 wikis to 1.32.0-wmf.4 refs T191050 (duration: 01m 18s)

Change 434550 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.32.0-wmf.4 refs T191050

https://gerrit.wikimedia.org/r/434550

Change 434550 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.32.0-wmf.4 refs T191050

https://gerrit.wikimedia.org/r/434550

Mentioned in SAL (#wikimedia-operations) [2018-05-22T19:14:28Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: group2 wikis to 1.32.0-wmf.4 refs T191050

mmodell closed this task as Resolved.May 22 2018, 8:29 PM